Groovy Documentation

## org.codehaus.groovy.grails.plugins.web.taglib
[Groovy] Class PluginTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.PluginTagLib

    class PluginTagLib

Tags to inspect available plugins.

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`java.lang.Object` | `isAvailable` Checks whether a particular plugin exists and executes the body if it does.
`java.lang.Object` | `isNotAvailable` Checks whether a particular plugin does not exist and executes the body if it does.
`static java.lang.Object` | `namespace`
`java.lang.Object` | `path` Gets the path to a particular plugin.
`GrailsPluginManager` | `pluginManager`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### isAvailable

    java.lang.Object isAvailable

  Checks whether a particular plugin exists and executes the body if it does.
  eg. <plugin:isAvailable name="hibernate">print me</plugin:isAvailable>
  attr:
    name REQUIRED the plugin name
  attr:
    version REQUIRED the plugin version

### isNotAvailable

    java.lang.Object isNotAvailable

  Checks whether a particular plugin does not exist and executes the body if it does.
  eg. <plugin:isNotAvailable name="hibernate">print me</plugin:isNotAvailable>
  attr:
    name REQUIRED the plugin name
  attr:
    version REQUIRED the plugin version

### namespace

    static java.lang.Object namespace

### path

    java.lang.Object path

  Gets the path to a particular plugin.
  eg. <plugin:path name="myPlugin" />
  attr:
    name REQUIRED the plugin name

### pluginManager

    GrailsPluginManager pluginManager

Groovy Documentation